Bug 609398 - nautilus does not ask for confirmation when deleting files
Summary: nautilus does not ask for confirmation when deleting files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nautilus   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tomáš Bžatek
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 07:55 UTC by Harald Milz
Modified: 2015-03-03 22:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 15:56:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Milz 2010-06-30 07:55:16 UTC
Description of problem:

nautilus does not ask for confirmation when deleting files even if /apps/nautilus/preferences/confirm_trash is set. The confirmation dialog _is_ issued, though, when the trash is emptied. 

Version-Release number of selected component (if applicable):

nautilus-2.28.4-2.el6.i686
The same is true for RHEL 5.5 in nautilus-2.16.2-7.el5

How reproducible:

always

Steps to Reproduce:
1. set /apps/nautilus/preferences/confirm_trash to true 
2. delete file from nautilus
3.
  
Actual results:

no confirmation is required. File is moved to trash.

Expected results:

according to the description in gconf-editor (at least in de_DE), nautilus should ask for confirmation for both deleting files and emptying trash. 

Additional info:

Comment 2 RHEL Product and Program Management 2010-06-30 08:23:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Harald Milz 2010-06-30 12:26:34 UTC
Are you sure this is a new feature and not a malfunction of nautilus? I was hoping we wouldn't have to wait for - what - RHEL 7 ?

Comment 4 Matthias Clasen 2010-07-07 15:56:08 UTC
Maybe the description of the gconf key is not 100% clear. What means is that you will get a confirmation dialog if you either empty the trash (as you've seen) or directly delete a file, using e.g Shift-Delete (which is different from moving it to the trash, using just Delete)


Note You need to log in before you can comment on or make changes to this bug.